/*     
 **********************************************************************
 *     halstr.h
 *     Copyright 1999, 2000 Creative Labs, Inc. 
 * 
 ********************************************************************** 
 * 
 *     Date                 Author          Summary of changes 
 *     ----                 ------          ------------------ 
 *     October 20, 1999     Bertrand Lee    base code release 
 * 
 ********************************************************************** 
 * 
 *     This program is free software; you can redistribute it and/or 
 *     modify it under the terms of the GNU General Public License as 
 *     published by the Free Software Foundation; either version 2 of 
 *     the License, or (at your option) any later version. 
 * 
 *     This program is distributed in the hope that it will be useful, 
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of 
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 *     GNU General Public License for more details. 
 * 
 *     You should have received a copy of the GNU General Public 
 *     License along with this program; if not, write to the Free 
 *     Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, 
 *     USA. 
 * 
 ********************************************************************** 
 */ 

// START LOCALIZATION HERE >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

// Product Names
#if defined(PCI_8010)
#define IDS_MIDIOUT_PNAME                   "SB Live! MIDI Out"
#define IDS_MIDIIN_PNAME                    "SB Live! MIDI In"
#define IDS_WAVEOUT_PNAME                   "SB Live! Playback"
#define IDS_WAVEIN_PNAME                    "SB Live! Record"
#define IDS_VOICEIN_PNAME                   "SB Live! Voice In"
#define IDS_MIXER_PNAME                     "SB Live! Mixer"
#define IDS_EMU_PNAME                       "SB Live!"
#define IDS_EMU_WAVETABLE_PNAME             "SB Live! Synth"
#define IDS_EMU_MIDIOUT_PNAME               "SB Live! MIDI Out"
#define IDS_EMU_MIDIIN_PNAME                "SB Live! In"
#else
#define IDS_SYNTH_PNAME                     "Creative Music Synthesizer"
#define IDS_MIDIOUT_PNAME                   "Creative MIDI Out"
#define IDS_MIDIIN_PNAME                    "Creative MIDI In"
#define IDS_WAVEOUT_PNAME                   "Sound Blaster Playback"
#define IDS_WAVEIN_PNAME                    "Sound Blaster Record"
#define IDS_VOICEIN_PNAME                   "Sound Blaster Voice In"
#define IDS_MIXER_PNAME                     "Sound Blaster Mixer"
#endif


// Control Names
#define IDS_CONTROL_VOLUME_LONG_NAME        "%s Volume"
#define IDS_CONTROL_MUTE_LONG_NAME          "%s Mute"
#define IDS_CONTROL_MIXER_LONG_NAME         "Select"
#define IDS_CONTROL_TREBLE_LONG_NAME        "Treble"
#define IDS_CONTROL_BASS_LONG_NAME          "Bass"
#define IDS_CONTROL_3DSE_LONG_NAME          "3D Stereo Enhancement"
#define IDS_CONTROL_DIGITALOUT_LONG_NAME    "Digital Output Only"
#define IDS_CONTROL_LINEIN2_LONG_NAME       "Enable Line-In 2"
#define IDS_CONTROL_NO3DSE_LONG_NAME        "Bypass 3D Stereo Enhancement"
#define IDS_CONTROL_BBOOST_LONG_NAME        "Bass Boost"
#define IDS_CONTROL_MICONLY_LONG_NAME       "Transmit Microphone Sound Only"
#define IDS_CONTROL_CENTER_LONG_NAME        "Center Control for 3DSE"
#define IDS_CONTROL_DEPTH_LONG_NAME         "Depth Control for 3DSE"
#define IDS_CONTROL_MICBOOST_LONG_NAME      "Mic Boost (20dB)"
#define IDS_CONTROL_TREBLE_BYPASS_LONG_NAME "Treble Bypass"
#define IDS_CONTROL_BASS_BYPASS_LONG_NAME   "Bass Bypass"
#define IDS_CONTROL_HPHONE_LONG_NAME        "Head Phone"
#define IDS_CONTROL_EFXFADER_LONG_NAME      "Front Rear Balance"
#define IDS_CONTROL_PEAKMETER_LONG_NAME     "Volume Unit Meter"

// Destination Names
#define IDS_DESTINATION_PLAY_LONG_NAME      "Play Control"
#define IDS_DESTINATION_RECORD_LONG_NAME    "Record Control"

// Source Names
#define IDS_SOURCE_HEADPHONE_LONG_NAME      "Headphone"
#define IDS_SOURCE_WAVE_LONG_NAME           "Wave"
#define IDS_SOURCE_WAVEDS_LONG_NAME         "Wave/DirectSound"
#define IDS_SOURCE_MIDI_LONG_NAME           "MIDI"
#define IDS_SOURCE_CD_LONG_NAME             "CD Audio"
#define IDS_SOURCE_LINE_LONG_NAME           "Line-In"
#define IDS_SOURCE_MIC_LONG_NAME            "Microphone"
#define IDS_SOURCE_MIC0_LONG_NAME           "Microphone"
#define IDS_SOURCE_MIC1_LONG_NAME           "Microphone2 (Headset)"
#define IDS_SOURCE_VIDEO_LONG_NAME          "Video"
#define IDS_SOURCE_STMIX_LONG_NAME          "\"What U Hear\""
#define IDS_SOURCE_PCSPK_LONG_NAME          "PC Speaker"
#define IDS_SOURCE_AUX_LONG_NAME            "Auxiliary"
#define IDS_SOURCE_MONOMIX_LONG_NAME        "Mono Mix"
#define IDS_SOURCE_TELEPHONE_LONG_NAME      "TAD-In"
#define IDS_SOURCE_TELEPHONEOUT_LONG_NAME   "TAD-Out"
#define IDS_SOURCE_PCMOUT_LONG_NAME         "PCM Out"
#define IDS_SOURCE_AC3_LONG_NAME            "DVD"
#define IDS_SOURCE_ZVAUDIO_LONG_NAME        "I2S-In (PC-DVD)"
#define IDS_SOURCE_FXLINEIN_LONG_NAME       "Line-In Digital"
#define IDS_SOURCE_CDSPDIF_LONG_NAME        "CD Digital"
#define IDS_SOURCE_GPSPDIF_LONG_NAME        "SPDIF-In"
#define IDS_SOURCE_WETMIX_LONG_NAME         "\"What U Hear\""



// END LOCALIZATION HERE >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>



// DON'T LOCALIZE THESE STRINGS >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

// Control Name
#define IDS_CONTROL_VOLUME_SHORT_NAME       "%sVol"
#define IDS_CONTROL_MUTE_SHORT_NAME         "%sMt"
#define IDS_CONTROL_MIXER_SHORT_NAME        "Select"
#define IDS_CONTROL_TREBLE_SHORT_NAME       "Treble"
#define IDS_CONTROL_BASS_SHORT_NAME         "Bass"
#define IDS_CONTROL_3DSE_SHORT_NAME         "3DSE"
#define IDS_CONTROL_DIGITALOUT_SHORT_NAME   "DigitalOut"
#define IDS_CONTROL_LINEIN2_SHORT_NAME      "LineIn2"
#define IDS_CONTROL_NO3DSE_SHORT_NAME       "No3DSE"
#define IDS_CONTROL_BBOOST_SHORT_NAME       "BBoost"
#define IDS_CONTROL_MICONLY_SHORT_NAME      "MicOnly"
#define IDS_CONTROL_CENTER_SHORT_NAME       "Ctr"
#define IDS_CONTROL_DEPTH_SHORT_NAME        "Dep"
#define IDS_CONTROL_MICBOOST_SHORT_NAME     "MBoost"
#define IDS_CONTROL_TREBLE_BYPASS_SHORT_NAME "TrebleOff"
#define IDS_CONTROL_BASS_BYPASS_SHORT_NAME   "BassOff"
#define IDS_CONTROL_HPHONE_SHORT_NAME        "HeadPhone"
#define IDS_CONTROL_EFXFADER_SHORT_NAME      "FrontRear"
#define IDS_CONTROL_PEAKMETER_SHORT_NAME     "VU Meter"


// Destination Name
#define IDS_DESTINATION_PLAY_SHORT_NAME     "Play"
#define IDS_DESTINATION_RECORD_SHORT_NAME   "Rec"


// Source Name
#define IDS_SOURCE_HEADPHONE_SHORT_NAME     "HPhn"
#define IDS_SOURCE_WAVE_SHORT_NAME          "Wave"
#define IDS_SOURCE_WAVEDS_SHORT_NAME        "WaveDS"
#define IDS_SOURCE_MIDI_SHORT_NAME          "MIDI"
#define IDS_SOURCE_CD_SHORT_NAME            "CD"
#define IDS_SOURCE_LINE_SHORT_NAME          "Line"
#define IDS_SOURCE_MIC_SHORT_NAME           "Mic"
#define IDS_SOURCE_MIC0_SHORT_NAME          "Mic"
#define IDS_SOURCE_MIC1_SHORT_NAME          "HMic"
#define IDS_SOURCE_VIDEO_SHORT_NAME         "Video"
#define IDS_SOURCE_STMIX_SHORT_NAME         "UHear"
#define IDS_SOURCE_PCSPK_SHORT_NAME         "PSpk"
#define IDS_SOURCE_AUX_SHORT_NAME           "Aux"
#define IDS_SOURCE_MONOMIX_SHORT_NAME       "MMix"
#define IDS_SOURCE_TELEPHONE_SHORT_NAME     "TAD"
#define IDS_SOURCE_TELEPHONEOUT_SHORT_NAME  "Phn"
#define IDS_SOURCE_PCMOUT_SHORT_NAME        "PCM"
#define IDS_SOURCE_AC3_SHORT_NAME           "DVD"
#define IDS_SOURCE_ZVAUDIO_SHORT_NAME       "I2SIn"
#define IDS_SOURCE_FXLINEIN_SHORT_NAME      "Line-In"
#define IDS_SOURCE_CDSPDIF_SHORT_NAME       "CDSPDIF"
#define IDS_SOURCE_GPSPDIF_SHORT_NAME       "GPSPDIF"
#define IDS_SOURCE_WETMIX_SHORT_NAME        "UHear"

