/*     
 **********************************************************************
 *     sblive_irqmgr.h
 *     Copyright 1999, 2000 Creative Labs, Inc. 
 * 
 ********************************************************************** 
 * 
 *     Date                 Author          Summary of changes 
 *     ----                 ------          ------------------ 
 *     October 20, 1999     Bertrand Lee    base code release 
 * 
 ********************************************************************** 
 * 
 *     This program is free software; you can redistribute it and/or 
 *     modify it under the terms of the GNU General Public License as 
 *     published by the Free Software Foundation; either version 2 of 
 *     the License, or (at your option) any later version. 
 * 
 *     This program is distributed in the hope that it will be useful, 
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of 
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 *     GNU General Public License for more details. 
 * 
 *     You should have received a copy of the GNU General Public 
 *     License along with this program; if not, write to the Free 
 *     Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, 
 *     USA. 
 * 
 ********************************************************************** 
 */ 

#ifndef _IRQMGR_H
#define _IRQMGR_H

/*******************************************************************
*
*   IRQ Manager
*
*******************************************************************/

int    sblive_irqmgrInit(struct sblive_hw *);
int    sblive_irqmgrInstallIrqHandler(struct sblive_hw *, u32, CALLBACKFN, u32);
int    sblive_irqmgrUninstallIrqHandler(struct sblive_hw *, u32);
int    sblive_irqmgrExit(struct sblive_hw *);
int    sblive_irqmgrEnableIrq(struct sblive_hw *, u32);
int    sblive_irqmgrDisableIrq(struct sblive_hw *, u32);
int    sblive_irqmgrEnableVoiceIrq(struct sblive_hw *, u32);
int    sblive_irqmgrDisableVoiceIrq(struct sblive_hw *, u32);
int    sblive_irqmgrCallback(unsigned long, unsigned long, unsigned long);

#endif
